Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230892 - Review Request: gtk-recordmydesktop - GUI Desktop session recorder with audio and video
Summary: Review Request: gtk-recordmydesktop - GUI Desktop session recorder with audio...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 230891
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 10:46 UTC by Sindre Pedersen Bjørdal
Modified: 2012-02-08 13:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:25:41 UTC
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-03-04 10:46:56 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/gtk-recordmydesktop.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/gtk-recordmydesktop-0.3.3.1-1.src.rpm

Description: 

Graphical frontend for the recordmydesktop desktop session recorder.

recordMyDesktop is a desktop session recorder for linux that attempts to be 
easy to use, yet also effective at it's primary task.

Comment 1 manuel wolfshant 2007-03-05 12:10:06 UTC
MUSTFIXes: missing BR gettext,desktop-file-utils

GOOD

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest available version, sha1sum
d1ba549ebff68157912b41e332941d84836d1fbb gtk-recordmydesktop-0.3.3.1.tar.g
- package compiles on devel (x86_64) [*]
- no unnecessary BR
- locales properly handled [*]
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for separate -docs
- nothing in %doc affects runtime
- there are no scriptlets, no static code, no libtool/pkgconfig files


SHOULD:
- the package compiles and builds into binary rpms on FC6 and rawhide (tested
only on x86_64); generated binary is a noarch so no issues should exist for x86 [*]
- the package runs as advertised [*]

[*] after adding the missing BRs


Sindre, please fix the spec adding the missing BRs and I'll reverify/approve the
package. As a sidenote, in the future I think it would be a good ideaif you
would test your packages using rpmlint and by bulding in mock before submitting
them.

Comment 3 manuel wolfshant 2007-03-06 00:24:20 UTC
Good, we are almost done. All problems mentioned have been solved. There is one
more left: please preserve the timestamps when installing. This can be done by
adding INSTALL="{__install} -c -p" either to the %configure line or to the "make
install" line.

Additional review bits not touched before
- python libs are properly installed (package follows the guidelines from
http://fedoraproject.org/wiki/Packaging/Python)
- program is a GUI; a desktop file is properly installed for it
- the desktop file respects packaging guidelines (no output from
desktop-file-validate fedora-gtk-recordmydesktop.desktop)



As I see no further blockers, the package is APPROVED. I'll trust you to fix 
preserving of timestamps before importing into CVS.

Comment 4 Sindre Pedersen Bjørdal 2007-03-06 07:42:27 UTC
New Package CVS Request
=======================
Package Name: gtk-recordmydesktop
Short Description: GUI Desktop session recorder with audio and video
Owners: foolish@guezz.net
Branches: FC-5 FC-6
InitialCC: 



Comment 5 Andy Grover 2012-02-08 01:21:26 UTC
Package Change Request
======================
Package Name: gtk-recordmydesktop
New Branches: el5 el6
Owners: mbooth narasim grover

Comment 6 Gwyn Ciesla 2012-02-08 13:04:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.